#450 LibreCAD quit unexpectedly

2.0
open-fixed
Dongxu Li
None
5
2014-03-23
2014-01-31
sstromer
No

I've tried downloading and installing both LibreCAD-SnowLeopard.dmg versions 2.0.1 and 2.0.2. Both immediately fail when launched with the error "LibreCAD quit unexpectedly." Could it be compiled against a different SDK? Any ideas? Here's the trail....

SYSTEM.LOG

Jan 30 21:11:57 sstromer UnmountAssistant[35400]: Volume unmounted successfully
Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetNext: invalid marker.
Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetLength: invalid marker.
Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetNext: invalid marker.
Jan 30 21:14:10 sstromer ReportCrash[35419]: Failed to create CSSymbolicatorRef for launchd
Jan 30 21:14:10 sstromer com.apple.launchd.peruser.501[118] ([0x0-0x390390].com.yourcompany.LibreCAD[35415]): Job appears to have crashed: Segmentation fault
Jan 30 21:14:10 sstromer ReportCrash[35419]: Saved crash report for launchd[35415] version ??? (???) to /Users/sstromer/Library/Logs/DiagnosticReports/launchd_2014-01-30-211410_sstromer.crash
Jan 30 21:14:11 sstromer Finder[324]: CFPropertyListCreateFromXMLData(): Old-style plist parser: missing semicolon in dictionary.

CRASH REPORT

OS Version: Mac OS X 10.6.8 (10K549)
Report Version: 6

Exception Type: EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0xfffffffffffffff8
Crashed Thread: Unknown

Backtrace not available

Unknown thread crashed with X86 Thread State (64-bit):
rax: 0x0000000000000055 rbx: 0x0000000000000000 rcx: 0x0000000000000000 rdx: 0x0000000000000000
rdi: 0x0000000000000000 rsi: 0x0000000000000000 rbp: 0x0000000000000000 rsp: 0x0000000000000000
r8: 0x0000000000000000 r9: 0x0000000000000000 r10: 0x0000000000000000 r11: 0x0000000000000000
r12: 0x0000000000000000 r13: 0x0000000000000000 r14: 0x0000000000000000 r15: 0x0000000000000000
rip: 0x00007fff5fc01028 rfl: 0x0000000000010203 cr2: 0xfffffffffffffff8

Binary images description not available

Related

Bugs: #450

Discussion

  • Dongxu Li
    Dongxu Li
    2014-02-11

    • sstromer
      sstromer
      2014-02-12

      Attempted to install by MacPorts, but it fails.

      Is LibreCAD 2.x simply not able to run on versions of OS X earlier than Mavericks (I'm on 10.6.8)? That would be disappointing, but I see that this may, in fact, be the case:
      http://trac.macports.org/ticket/42342

      If it doesn't work, why do the following package installers exist:
      https://sourceforge.net/projects/librecad/files/OSX/2.0.2/

      Here's what I've tried:

      $ sudo port install gcc48
      $ sudo port select --set gcc mp-gcc48
      $ sudo port install qt4-creator-mac qt4-mac boost muparser freetype
      $ sudo port install librecad
      $ sudo port install git-core
      $ mkdir -p ~/github
      $ cd ~/github
      $ git clone https://github.com/LibreCAD/LibreCAD.git
      $ cd ~/github/LibreCAD/
      $ git fetch origin
      $ git rebase origin/master
      $ echo "QT_CONFIG -= no-pkg-config" >> custom.pro
      $ qmake librecad.pro -r -spec mkspec/macports
      $ scripts/build-dmg.sh

      Seems to go well... but,then...

      make: *** [sub-libraries-make_default-ordered] Error 2
      + mv -v LibreCAD.dmg LibreCAD-Mavericks.dmg
      mv: rename LibreCAD.dmg to LibreCAD-Mavericks.dmg: No such file or directory

      Really want to resolve this. Please inform. Thanks.

       
  • Dongxu Li
    Dongxu Li
    2014-02-12

    in your last step, please run:

    scripts/build-osx.sh

    instead of "build-dmg.sh"

    or you can run "make' after the qmake command mentioned, the binary can be found in LibreCAD.app/Contents/MacOS/

     
  • sstromer
    sstromer
    2014-02-12

    Running scripts/build-osx.sh fails with:
    make: *** [sub-libraries-make_default-ordered] Error 2

    The package LibreCAD.app is entirely empty.

    You make no mention of whether LibreCAD 2.x can even potentially run on older versions of OS X. If the answer is 'not sure,' I am happy to be the guinea pig.

     
  • Dongxu Li
    Dongxu Li
    2014-02-12

    please upload the first error encountere (if not sure, upload all output from "make"). If you have MacPorts, we should be able to get it build.

     
  • sstromer
    sstromer
    2014-02-12

    make produces very little output:

    sstromer_macbook:LibreCAD sstromer$ make
    cd libraries/ && make -f Makefile
    cd libdxfrw/ && make -f Makefile
    make[2]: Nothing to be done for `first'.
    cd jwwlib/ && make -f Makefile
    /usr/bin/g++-4.2 -c -pipe -std=c++11 -g -O2 -arch x86_64 -Xarch_x86_64 -mmacosx-version-min=10.6 -Wall -W -fPIC -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_SHARED -I/opt/local/share/qt4/mkspecs/macx-g++ -I. -I../../generated/lib/jwwlib/moc -I/opt/local/Library/Frameworks/QtSvg.framework/Versions/4/Headers -I/opt/local/Library/Frameworks/QtSvg.framework/Versions/4/Headers -I/opt/local/include -o ../../generated/lib/jwwlib/obj/dl_writer_ascii.o src/dl_writer_ascii.cpp
    cc1plus: error: unrecognized command line option "-std=c++11"
    make[2]: [../../generated/lib/jwwlib/obj/dl_writer_ascii.o] Error 1
    make[1]:
    [sub-jwwlib-make_default] Error 2
    make: *** [sub-libraries-make_default-ordered] Error 2

    Seems the error here is with c++11 availability?

    'qmake librecad.pro -r -spec mkspec/macports' command is unsuccessful, so I'd assume we would want to start there. Attached file is the full output.

     
    Attachments
    • Dongxu Li
      Dongxu Li
      2014-02-13

      gcc-4.2 doesn't work here.

      we require gcc-4.6 and up, maybe gcc-4.4 works too, but need to change -std=c++11 to -std=c++0x

       
  • Ries van twisk
    Ries van twisk
    2014-02-12

    LibreCAD won't build on anything lower then Mavericks unless you fool around with the build.

    However, I do have a build through macports that was compiled on 10.7. see : http://trac.macports.org/ticket/42342

    I can compile that into a DMG or zip and see if that works for you?

     
  • sstromer
    sstromer
    2014-02-13

    Ries, thank you for the offer; I would appreciate that. I will let you know how it runs over 10.6.8.

    Meanwhile, I had already read through your ticket 42342. Was this diff already committed? The fixes to the Makefile, etc. that you list seem reasonable. If already committed, would that imply that these repairs are still not sufficient for successful install over 10.6, as indicated through the errors I am seeing?

     
    Last edit: sstromer 2014-02-15
  • Ries van twisk
    Ries van twisk
    2014-02-14

    Hey,

    I had to give them a gentle push and the change's are committed to macports :) I think you need to run a self update before they get available to your system..

    Here is a downloadable zip : http://riesvantwisk.com/LibreCAD-Lion.zip

    From Apple I am not allowed to run 10.6 in a VM and I don't have a 10.6 machine to test here. The LibreCAD version was compiled on 10.7, with a little luck this should work..

     
    Last edit: Ries van twisk 2014-02-14
  • sstromer
    sstromer
    2014-02-20

    Ries, Thank you for sharing. I have only had limited success with the built you posted. It crashes performing the most basic tasks. Given the documentation I've posted previously, what would it take for me to compile successfully on my own machine? I will happily post a build for OS X 10.6 if you can see me through this...

     
    • Ries van twisk
      Ries van twisk
      2014-02-20

      Hey,

      don’t think that compiling it yourself is going to solve a lot of problems.
      This sounds like that Qt or some pointer’s are handled differently then on Linux or OS/X.
      Unfortunately, the developer’s are on Linux and Windows so it’s hard to fix this issue
      without a OS/X user

      On Feb 19, 2014, at 9:50 PM, sstromer stevenstromer@users.sf.net wrote:

      Ries, Thank you for sharing. I have only had limited success with the built you posted. It crashes performing the most basic tasks. Given the documentation I've posted previously, what would it take for me to compile successfully on my own machine? I will happily post a build for OS X 10.6 if you can see me through this...

      [bugs:#450] LibreCAD quit unexpectedly

      Status: open
      Created: Fri Jan 31, 2014 04:14 AM UTC by sstromer
      Last Updated: Fri Feb 14, 2014 04:04 PM UTC
      Owner: nobody

      I've tried downloading and installing both LibreCAD-SnowLeopard.dmg versions 2.0.1 and 2.0.2. Both immediately fail when launched with the error "LibreCAD quit unexpectedly." Could it be compiled against a different SDK? Any ideas? Here's the trail....

      SYSTEM.LOG

      Jan 30 21:11:57 sstromer UnmountAssistant[35400]: Volume unmounted successfully
      Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetNext: invalid marker.
      Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetLength: invalid marker.
      Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetNext: invalid marker.
      Jan 30 21:14:10 sstromer ReportCrash[35419]: Failed to create CSSymbolicatorRef for launchd
      Jan 30 21:14:10 sstromer com.apple.launchd.peruser.501[118] ([0x0-0x390390].com.yourcompany.LibreCAD[35415]): Job appears to have crashed: Segmentation fault
      Jan 30 21:14:10 sstromer ReportCrash[35419]: Saved crash report for launchd[35415] version ??? (???) to /Users/sstromer/Library/Logs/DiagnosticReports/launchd_2014-01-30-211410_sstromer.crash
      Jan 30 21:14:11 sstromer Finder[324]: CFPropertyListCreateFromXMLData(): Old-style plist parser: missing semicolon in dictionary.

      CRASH REPORT

      OS Version: Mac OS X 10.6.8 (10K549)
      Report Version: 6

      Exception Type: EXC_BAD_ACCESS (SIGSEGV)
      Exception Codes: KERN_INVALID_ADDRESS at 0xfffffffffffffff8
      Crashed Thread: Unknown

      Backtrace not available

      Unknown thread crashed with X86 Thread State (64-bit):
      rax: 0x0000000000000055 rbx: 0x0000000000000000 rcx: 0x0000000000000000 rdx: 0x0000000000000000
      rdi: 0x0000000000000000 rsi: 0x0000000000000000 rbp: 0x0000000000000000 rsp: 0x0000000000000000
      r8: 0x0000000000000000 r9: 0x0000000000000000 r10: 0x0000000000000000 r11: 0x0000000000000000
      r12: 0x0000000000000000 r13: 0x0000000000000000 r14: 0x0000000000000000 r15: 0x0000000000000000
      rip: 0x00007fff5fc01028 rfl: 0x0000000000010203 cr2: 0xfffffffffffffff8

      Binary images description not available

      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/librecad/bugs/450/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #450

      • Dongxu Li
        Dongxu Li
        2014-02-22

        I found building with gcc48 from macports helps in some cases

        On Thu, Feb 20, 2014 at 8:57 AM, Ries van twisk rvt@users.sf.net wrote:

        Hey,

        don’t think that compiling it yourself is going to solve a lot of problems.
        This sounds like that Qt or some pointer’s are handled differently then on
        Linux or OS/X.
        Unfortunately, the developer’s are on Linux and Windows so it’s hard to
        fix this issue
        without a OS/X user

        On Feb 19, 2014, at 9:50 PM, sstromer stevenstromer@users.sf.net wrote:

        Ries, Thank you for sharing. I have only had limited success with the
        built you posted. It crashes performing the most basic tasks. Given the
        documentation I've posted previously, what would it take for me to compile
        successfully on my own machine? I will happily post a build for OS X 10.6
        if you can see me through this...

        [bugs:#450] http://sourceforge.net/p/librecad/bugs/450/ LibreCAD quit
        unexpectedly

        Status: open
        Created: Fri Jan 31, 2014 04:14 AM UTC by sstromer
        Last Updated: Fri Feb 14, 2014 04:04 PM UTC
        Owner: nobody

        I've tried downloading and installing both LibreCAD-SnowLeopard.dmg
        versions 2.0.1 and 2.0.2. Both immediately fail when launched with the
        error "LibreCAD quit unexpectedly." Could it be compiled against a
        different SDK? Any ideas? Here's the trail....

        SYSTEM.LOG

        Jan 30 21:11:57 sstromer UnmountAssistant[35400]: Volume unmounted
        successfully
        Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetNext:
        invalid marker.
        Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetLength:
        invalid marker.
        Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetNext:
        invalid marker.
        Jan 30 21:14:10 sstromer ReportCrash[35419]: Failed to create
        CSSymbolicatorRef for launchd
        Jan 30 21:14:10 sstromer com.apple.launchd.peruser.501[118] (
        [0x0-0x390390].com.yourcompany.LibreCAD[35415]): Job appears to have
        crashed: Segmentation fault
        Jan 30 21:14:10 sstromer ReportCrash[35419]: Saved crash report for
        launchd[35415] version ??? (???) to
        /Users/sstromer/Library/Logs/DiagnosticReports/launchd_2014-01-30-211410_sstromer.crash
        Jan 30 21:14:11 sstromer Finder[324]: CFPropertyListCreateFromXMLData():
        Old-style plist parser: missing semicolon in dictionary.

        CRASH REPORT

        OS Version: Mac OS X 10.6.8 (10K549)
        Report Version: 6

        Exception Type: EXC_BAD_ACCESS (SIGSEGV)
        Exception Codes: KERN_INVALID_ADDRESS at 0xfffffffffffffff8
        Crashed Thread: Unknown

        Backtrace not available

        Unknown thread crashed with X86 Thread State (64-bit):
        rax: 0x0000000000000055 rbx: 0x0000000000000000 rcx: 0x0000000000000000
        rdx: 0x0000000000000000
        rdi: 0x0000000000000000 rsi: 0x0000000000000000 rbp: 0x0000000000000000
        rsp: 0x0000000000000000
        r8: 0x0000000000000000 r9: 0x0000000000000000 r10: 0x0000000000000000 r11:
        0x0000000000000000
        r12: 0x0000000000000000 r13: 0x0000000000000000 r14: 0x0000000000000000
        r15: 0x0000000000000000
        rip: 0x00007fff5fc01028 rfl: 0x0000000000010203 cr2: 0xfffffffffffffff8

        Binary images description not available

        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/librecad/bugs/450/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/


        Status: open
        Created: Fri Jan 31, 2014 04:14 AM UTC by sstromer
        Last Updated: Thu Feb 20, 2014 02:49 AM UTC
        Owner: nobody

        I've tried downloading and installing both LibreCAD-SnowLeopard.dmg
        versions 2.0.1 and 2.0.2. Both immediately fail when launched with the
        error "LibreCAD quit unexpectedly." Could it be compiled against a
        different SDK? Any ideas? Here's the trail....

        SYSTEM.LOG

        Jan 30 21:11:57 sstromer UnmountAssistant[35400]: Volume unmounted
        successfully
        Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetNext:
        invalid marker.
        Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetLength:
        invalid marker.
        Jan 30 21:14:05 sstromer com.apple.coreservicesd[60]: _FreeSegGetNext:
        invalid marker.
        Jan 30 21:14:10 sstromer ReportCrash[35419]: Failed to create
        CSSymbolicatorRef for launchd
        Jan 30 21:14:10 sstromer com.apple.launchd.peruser.501[118] (
        [0x0-0x390390].com.yourcompany.LibreCAD[35415]): Job appears to have
        crashed: Segmentation fault
        Jan 30 21:14:10 sstromer ReportCrash[35419]: Saved crash report for
        launchd[35415] version ??? (???) to
        /Users/sstromer/Library/Logs/DiagnosticReports/launchd_2014-01-30-211410_sstromer.crash
        Jan 30 21:14:11 sstromer Finder[324]: CFPropertyListCreateFromXMLData():
        Old-style plist parser: missing semicolon in dictionary.

        CRASH REPORT

        OS Version: Mac OS X 10.6.8 (10K549)
        Report Version: 6

        Exception Type: EXC_BAD_ACCESS (SIGSEGV)
        Exception Codes: KERN_INVALID_ADDRESS at 0xfffffffffffffff8
        Crashed Thread: Unknown

        Backtrace not available

        Unknown thread crashed with X86 Thread State (64-bit):
        rax: 0x0000000000000055 rbx: 0x0000000000000000 rcx: 0x0000000000000000
        rdx: 0x0000000000000000
        rdi: 0x0000000000000000 rsi: 0x0000000000000000 rbp: 0x0000000000000000
        rsp: 0x0000000000000000
        r8: 0x0000000000000000 r9: 0x0000000000000000 r10: 0x0000000000000000 r11:
        0x0000000000000000
        r12: 0x0000000000000000 r13: 0x0000000000000000 r14: 0x0000000000000000
        r15: 0x0000000000000000
        rip: 0x00007fff5fc01028 rfl: 0x0000000000010203 cr2: 0xfffffffffffffff8

        Binary images description not available

        Sent from sourceforge.net because you indicated interest in
        https://sourceforge.net/p/librecad/bugs/450/

        To unsubscribe from further messages, please visit
        https://sourceforge.net/auth/subscriptions/

        --
        Dongxu Li, Ph.D.
        www.librecad.org

         

        Related

        Bugs: #450

  • Dongxu Li
    Dongxu Li
    2014-02-24

    your previous qmake_log.txt could be a muparser issue. You may try to build muparser from source and use it to build LibreCAD. I had trouble sometimes with muparser from MacPorts.

    To build muparser, I do the following in muparser source folder:

    ./configure --enable-shared=no
    make

    Then, modify in LibreCAD source folder for the file librecad/src/muparser.pri to make the unix section look like:

    unix {
    CONFIG += link_pkgconfig
    MUPARSER_DIR = /path/to/muparser_v2_2_3
    INCLUDEPATH += "$${MUPARSER_DIR}/include"
    LIBS += -L"$${MUPARSER_DIR}/lib" -lmuparser
    }

    /path/to/muparser_v2_2_3/ is the source folder for muparser( where you run ./configure && make).

    If you can build and it still crashes, please run LibreCAD in qtcreator, and let's identify the cause and find a fix.

     
  • Dongxu Li
    Dongxu Li
    2014-03-08

    • assigned_to: Dongxu Li
     
  • sstromer
    sstromer
    2014-03-09

    Sorry. Fails to launch with the error:

    LibreCAD cannot be opened because of a problem. Check with the developer to make sure LibreCAD works with this version of Mac OS X. You may need to reinstall the application. Be sure to install any available updates for the application and Mac OS X.

    Full report:

    Process: LibreCAD [80298]
    Path: /Applications/LibreCAD.app/Contents/MacOS/LibreCAD
    Identifier: com.yourcompany.LibreCAD
    Version: ??? (???)
    Code Type: X86-64 (Native)
    Parent Process: launchd [118]

    Date/Time: 2014-03-08 19:36:58.843 -0500
    OS Version: Mac OS X 10.6.8 (10K549)
    Report Version: 6

    Interval Since Last Report: 991869 sec
    Crashes Since Last Report: 16
    Per-App Interval Since Last Report: 99 sec
    Per-App Crashes Since Last Report: 3
    Anonymous UUID: 645AD903-A277-45CB-859C-23F9960530BA

    Exception Type: EXC_BREAKPOINT (SIGTRAP)
    Exception Codes: 0x0000000000000002, 0x0000000000000000
    Crashed Thread: 0

    Dyld Error Message:
    Library not loaded: /System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
    Referenced from: /Applications/LibreCAD.app/Contents/MacOS/../Frameworks/QtGui.framework/Versions/4/QtGui
    Reason: image not found

    Binary Images:
    0x7fff5fc00000 - 0x7fff5fc3bdef dyld 132.1 (???) <DB8B8AB0-0C97-B51C-BE8B-B79895735A33> /usr/lib/dyld

    Model: MacBookPro8,1, BootROM MBP81.0047.B27, 2 processors, Intel Core i5, 2.3 GHz, 16 GB, SMC 1.68f99
    Graphics: Intel HD Graphics 3000, Intel HD Graphics 3000, Built-In, 512 MB
    Memory Module: global_name
    AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xD6), Broadcom BCM43xx 1.0 5.100.198.104.5)
    Bluetooth: Version 2.4.5f3, 2 service, 12 devices, 1 incoming serial ports
    Network Service: AirPort, AirPort, en1
    Serial ATA Device: WDC WD7500BPKT-00PK4T0, 698.64 GB
    Serial ATA Device: MATSHITADVD-R UJ-898
    USB Device: Hub, 0x0424 (SMSC), 0x2513, 0xfa100000 / 3
    USB Device: BRCM2070 Hub, 0x0a5c (Broadcom Corp.), 0x4500, 0xfa110000 / 5
    USB Device: Bluetooth USB Host Controller, 0x05ac (Apple Inc.), 0x821a, 0xfa113000 / 8
    USB Device: Apple Internal Keyboard / Trackpad, 0x05ac (Apple Inc.), 0x0245, 0xfa120000 / 4
    USB Device: FaceTime HD Camera (Built-in), 0x05ac (Apple Inc.), 0x8509, 0xfa200000 / 2
    USB Device: Hub, 0x0424 (SMSC), 0x2513, 0xfd100000 / 2
    USB Device: IR Receiver, 0x05ac (Apple Inc.), 0x8242, 0xfd110000 / 3

     
    • Dongxu Li
      Dongxu Li
      2014-03-10

      it's known the current installer only works on 10.8/10.9, as we mentioned here:

      https://sourceforge.net/projects/librecad/files/OSX/2.0.2/

      Please try to figure out a way to build LC on 10.6/10.7, and submit your solution to our wiki.

       
  • Dongxu Li
    Dongxu Li
    2014-03-23

    in 2.0.3 release, macx installer is based on Qt5 and embedded muparser.

    This bug is fixed by Qt5 macdeployqt

     
  • Dongxu Li
    Dongxu Li
    2014-03-23

    • status: open --> open-fixed